Skip to main content

List

Retrieves all catalogs, with optional cursor-based pagination.

Request parameters

NameTypeRequired/OptionalDescription
afterCatalogIdstringOptionalCursor for pagination; returns catalogs after this ID

Request Information

CategoryValue
Http requestPOST
URLhttps://bikapi.bikayi.app/integrations/bikPlatformFunctions-catalogs/list

Sample request

curl --location 'https://bikapi.bikayi.app/integrations/bikPlatformFunctions-catalogs/list' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic AUTH_TOKEN' \
--data '{
"afterCatalogId": "453048500523"
}'

JSON response example:

{
"status": 200,
"success": true,
"data": {
"catalogs": [
{
"name": "Bottles",
"id": "473936298284",
"description": "This is a smart collection with multiple products",
"image": "https://cdn.shopify.com/s/files/1/0672/6267/7292/collections/Football_Pallo_valmiina-cropped.jpg?v=1713341921",
"url": "https://test-store.myshopify.com/collections/bottles"
}
]
}
}

Response parameters

NameTypeDescription
statusnumberHTTP status code
successbooleanIndicates whether the request succeeded
dataobjectObject containing the catalogs array of BikPlatformCatalog

BikPlatformCatalog Type

NameTypeRequired/OptionalDescription
namestringRequiredThe name of the catalog
idstringRequiredThe ID of the catalog
descriptionstringOptionalThe description of the catalog
imagestringOptionalThe URL of the catalog image
urlstringOptionalThe URL of the catalog on the storefront

Errors

Error CodeMeaning
400Invalid payload -- Your request is invalid.
401Unauthorized -- User is not authenticated.
404Not Found -- The specified API could not be found.
500Internal Server Error -- We had a problem with our server. Try again later.